Bug 474415 - no rows shown for a particular table using OO Base
no rows shown for a particular table using OO Base
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: postgresql-jdbc (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 13:41 EST by Michael J. Chudobiak
Modified: 2013-07-02 23:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-13 13:46:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
database dump of problem table (175.79 KB, text/plain)
2008-12-03 13:41 EST, Michael J. Chudobiak
no flags Details
full database dump (335.45 KB, text/plain)
2008-12-03 13:46 EST, Michael J. Chudobiak
no flags Details

  None (edit)
Description Michael J. Chudobiak 2008-12-03 13:41:40 EST
Created attachment 325571 [details]
database dump of problem table

Description of problem: I use Openoffice Base + postgresql-jdbc to edit a particular database. It mostly works, except on one table. If I try to load the table in Base, no rows are shown. If I try to re-create the table (using pgadmin3) and copy the data into the new table, I can briefly access the table. After a few accesses however, the new table becomes inaccessible.

I will attach a database dump for the table in question.

It might work for you a couple of times, but try loading the table in Base repeatedly until it stops loading.


Version-Release number of selected component (if applicable):
postgresql-jdbc-8.3.603-1.1.fc10.i386
openoffice.org-base-3.0.0-9.10.fc10.i386


How reproducible: Always, for me.


Steps to Reproduce: 
1. Use the provided database dump to create the basemodels table.
2. Try accessing this table repeatedly through OO base, using the postgresql-jdbc driver.
  
Actual results: Table becomes inaccessible. No rows are shown.


Expected results: Should show 407 rows.


- Mike
Comment 1 Michael J. Chudobiak 2008-12-03 13:46:09 EST
Created attachment 325572 [details]
full database dump

This is a full database dump, because the basemodels table has some foreign keys that I forgot about. All tables in the database work fine except for the "basemodels" table.

- Mike
Comment 2 Tom Lane 2008-12-03 16:02:42 EST
Hm, can you say whether this problem is new in F-10, or was it there before?
Comment 3 Michael J. Chudobiak 2008-12-03 19:53:01 EST
The problem was also present in F9.

- Mike
Comment 4 Tom Lane 2008-12-03 22:55:34 EST
OK, I'll try to reproduce on F9.  I won't be able to look at it till next week though --- I'm actually out of town right now and don't have access to my F9 machine.
Comment 5 Michael J. Chudobiak 2009-01-13 11:08:36 EST
Tom,

Have you had time to look at this sample data? Nudge, nudge...

- Mike
Comment 6 Tom Lane 2009-01-13 12:27:12 EST
No, not really.  It would save me some time if you explained what "accessing the table through OO base" means, bearing in mind that I know absolutely zero about OO's database features.
Comment 7 Michael J. Chudobiak 2009-01-13 13:46:09 EST
Argh.

I tried to write an easy-to-follow sequence to reproduce the problem, but I can't reproduce the problem when I create a new OO database file... which leads me to believe that it is strictly an OO problem, rather than postgresql-jdbc.

I still experience the problem in my original OO database file, but recreating that file from scratch has made the problem go away. So there is a real bug somewhere, but I can't document it well enough for developers to fix it...

Closing bug for now.

- Mike

Note You need to log in before you can comment on or make changes to this bug.